*, html {
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
  border: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale; }

body {
  position: relative;
  background: #FCFCFA;
  margin: 0; }
  @media (min-width: 768px) {
    body {
      min-width: 768px; } }

button {
  cursor: pointer; }

a {
  text-decoration: none;
  color: #0EA5E9; }

.clear {
  clear: both; }

.top-nav {
  background-color: #353535;
  color: #FCFCFA;
  height: 48px;
  display: flex;
  justify-content: space-between; }

.top-nav__left {
  display: flex; }

.top-nav__logo-container {
  display: flex;
  align-items: center;
  height: 100%;
  padding: 0 24px; }

.top-nav__logo {
  width: 45px; }

.top-nav__item {
  display: flex;
  align-items: center;
  padding: 0 24px;
  font-weight: 500; }

.top-nav__link {
  color: #FCFCFA; }
  .top-nav__link:hover {
    color: #0EA5E9; }

.top-nav__right {
  display: flex;
  align-items: center;
  padding-right: 24px; }

.top-nav__search {
  padding-right: 24px; }

.top-nav__search-input {
  height: 32px;
  width: 248px;
  padding: 6px 12px;
  border-radius: 4px;
  color: #FCFCFA;
  font-weight: 600;
  background: #646464 url("/images/icon-search-down.png") no-repeat right;
  background-size: 24px;
  background-position: calc(100% - 6px) 50%; }

.top-nav__help {
  display: flex;
  justify-content: center;
  padding: 6px; }

.top-nav__help-icon {
  width: 24px; }

.top-nav__user {
  display: flex;
  justify-content: center;
  padding: 6px; }

.top-nav__user-icon {
  width: 24px; }

.main-container {
  display: flex;
  min-width: 1200px; }

.nav-container {
  flex-basis: 200px;
  display: flex;
  border-right: 1px solid #ECEBEB;
  min-height: 100vh; }

.main-nav {
  background-color: #0369A1;
  width: 72px; }

.main-nav__link {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  line-height: 14px;
  color: white;
  height: 64px;
  margin: 12px 0;
  text-align: center; }
  .main-nav__link:hover {
    background: #353535; }
  .main-nav__link.active {
    background: #0EA5E9; }

.main-nav__link-icon {
  width: 24px;
  margin-bottom: 4px; }

.secondary-nav {
  display: flex;
  flex-direction: column;
  padding: 24px 0;
  width: 200px;
  position: relative; }

.secondary-nav__back-btn {
  position: absolute;
  right: 24px;
  top: 24px; }

.secondary-nav__back-btn-img {
  width: 24px; }

.secondary-nav__photo-container {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 12px 0; }

.secondary-nav__photo {
  width: 72px; }

.secondary-nav__address {
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  padding: 4px 0;
  text-align: center; }

.secondary-nav__owner {
  font-size: 12px;
  line-height: 16px;
  font-weight: 500;
  color: #646464;
  text-align: center;
  margin-bottom: 12px; }

.secondary-nav__section {
  margin: 12px 0;
  border-top: 1px solid #ECEBEB; }

.secondary-nav__section-title {
  color: #242424;
  text-transform: uppercase;
  font-size: 10px;
  line-height: 14px;
  font-weight: 600;
  letter-spacing: 1px;
  padding: 24px; }

.secondary-nav__link {
  color: #646464;
  padding: 12px 24px;
  display: block;
  letter-spacing: 0.4px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 500; }
  .secondary-nav__link:hover {
    background-color: #C9C9C9; }
  .secondary-nav__link.active {
    background-color: #F0F9FF;
    color: #0369A1; }

.secondary-nav__link-icon {
  width: 24px;
  vertical-align: middle;
  margin-left: 4px; }

.schedule-view {
  width: 100%;
  padding: 24px;
  position: relative; }

.view-nav__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 12px;
  margin-top: -24px;
  margin-left: -24px;
  margin-right: -24px;
  height: 60px;
  padding-left: 24px;
  border-bottom: 1px solid #ECEBEB; }

.view-nav__title {
  font-size: 20px;
  line-height: 28px;
  font-weight: 600; }

.view-nav__cta {
  background: #0369A1;
  color: white;
  padding: 12px;
  font-size: 12px;
  letter-spacing: 0.4px;
  border-radius: 4px; }

.view-nav__subheader {
  display: flex;
  align-items: center;
  justify-content: space-between; }

.view-nav__tab {
  color: #646464;
  display: inline-block;
  font-size: 16px;
  line-height: 20px;
  font-weight: 500;
  margin-right: 12px;
  padding: 6px 12px;
  cursor: pointer; }
  .view-nav__tab:hover {
    color: #353535; }
  .view-nav__tab.active {
    color: #0369A1;
    background: #F0F9FF; }

.view-nav__range {
  font-size: 16px;
  font-weight: 500; }

.project-filters {
  display: flex;
  padding: 24px 0;
  justify-content: space-between; }

.project-filters__selects {
  display: flex;
  gap: 12px; }

.project-filters__select-container {
  border: 1px solid #DDDCDC;
  padding: 6px 12px;
  border-radius: 4px; }

.project-filters__select-label {
  font-size: 14px;
  font-weight: 500;
  margin-right: 6px; }

.project-filters__select {
  position: relative; }

.project-filters__actions {
  display: flex; }

.project-filters__action {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #0369A1;
  font-size: 14px;
  cursor: pointer;
  font-weight: 500; }

.status-tasks-container {
  width: 100%;
  margin: 0; }

.status-task-container {
  width: 100%;
  background-color: #F7F5F5;
  border-radius: 8px;
  overflow: hidden;
  margin: 0 0 12px;
  padding: 12px; }

.status-task-container__toggle {
  display: flex; }

.status-task-container__toggle-icon {
  width: 24px;
  height: 24px;
  margin-right: 12px;
  transform: rotate(90deg); }
  .status-task-container.active .status-task-container__toggle-icon {
    transform: rotate(180deg); }

.status-task-container__title {
  font-size: 16px;
  line-height: 24px;
  font-weight: 500; }

.schedule-container {
  width: 100%;
  min-height: 600px;
  border: 1px solid #ECEBEB;
  border-radius: 4px;
  overflow: hidden;
  margin: 0; }

.milestone-tasks-container {
  width: 100%;
  margin: 0; }

.milestone-task-column-headers-container {
  list-style-type: none;
  display: flex;
  width: 100%;
  background-color: #F7F5F5;
  border-bottom: 1px solid #ECEBEB;
  overflow: hidden;
  margin: 0 0 12px;
  padding: 12px; }

.milestone-task-col-header {
  color: #646464;
  font-size: 12px;
  line-height: 16px;
  font-weight: 500; }
  .milestone-task-col-header.milestone-task-col-header--task {
    flex-basis: 300px;
    flex-grow: 1; }
  .milestone-task-col-header.milestone-task-col-header--dates {
    flex-basis: 190px; }
  .milestone-task-col-header.milestone-task-col-header--duration {
    flex-basis: 90px; }
  .milestone-task-col-header.milestone-task-col-header--group {
    flex-basis: 380px; }
  .milestone-task-col-header.milestone-task-col-header--status {
    flex-basis: 180px; }

.milestone-task-container {
  width: 100%;
  background-color: #F7F5F5;
  border-radius: 8px;
  overflow: hidden;
  margin: 0 0 12px;
  padding: 12px; }

.milestone-task-container__toggle {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer; }

.milestone-task-container__toggle-icon {
  width: 24px;
  height: 24px;
  margin-right: 12px;
  transform: rotate(90deg); }
  .milestone-task-container.active .milestone-task-container__toggle-icon {
    transform: rotate(180deg); }

.milestone-task-container__title {
  flex-basis: 300px;
  flex-grow: 1;
  font-size: 16px;
  line-height: 24px;
  font-weight: 500; }

.milestone-task-container__dates {
  flex-basis: 190px;
  font-size: 16px;
  line-height: 24px;
  font-weight: 500;
  padding-right: 12px; }

.milestone-task-container__duration {
  flex-basis: 90px;
  font-size: 16px;
  line-height: 24px;
  font-weight: 500; }

.milestone-task-container__group {
  flex-basis: 380px; }

.milestone-task-container__status {
  flex-basis: 180px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 10px;
  line-height: 14px;
  color: #646464; }

.milestone-task-container__status-text {
  width: 50px;
  text-align: right; }
  .milestone-task-container__status-text.full {
    width: auto; }

.milestone-task-container__complete-bar {
  background: #92B965;
  flex-grow: 1;
  height: 10px;
  margin: 0 12px;
  border-radius: 5px; }

.milestone-task-container__progress-bar {
  background: #DDDCDC;
  flex-grow: 1;
  height: 10px;
  margin: 0 12px;
  border-radius: 5px;
  overflow: hidden; }
  .milestone-task-container__progress-bar.milestone-task-container__progress-bar-four-percent:before {
    display: block;
    content: '';
    width: 10px;
    height: 100%;
    background-color: #0369A1; }

.milestone-group-container {
  display: none; }
  .milestone-task-container.active .milestone-group-container {
    display: block; }

.milestone-group-container__toggle {
  display: flex;
  align-items: center;
  background: white;
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ECEBEB;
  margin-top: 6px; }

.milestone-group-container__toggle-icon {
  display: block;
  width: 20px;
  height: 20px;
  margin: 2px;
  margin-right: 12px;
  border: 2px solid #242424;
  cursor: pointer;
  position: relative; }
  .milestone-group-container__toggle-icon:before, .milestone-group-container__toggle-icon:after {
    content: "";
    display: block;
    position: absolute;
    width: 2px;
    background: #242424;
    border-radius: 2px;
    height: 8px;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    transition: all .3s ease; }
  .milestone-group-container__toggle-icon:after {
    width: 8px;
    height: 2px; }
  .milestone-group-container.active .milestone-group-container__toggle-icon:before {
    transform: rotate(-90deg); }
  .milestone-group-container.active .milestone-group-container__toggle-icon:after {
    transform: rotate(-180deg);
    opacity: 0; }

.milestone-group-container__title {
  font-size: 16px;
  line-height: 24px;
  font-weight: 500;
  flex-basis: 300px;
  flex-grow: 1; }

.milestone-group-container__dates {
  flex-basis: 190px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 500;
  padding-right: 12px; }

.milestone-group-container__duration {
  flex-basis: 628px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 500; }

.schedule-container {
  width: 100%;
  min-height: 600px;
  border: 1px solid #ECEBEB;
  border-radius: 4px;
  overflow: hidden;
  margin: 0; }

.schedule-unit-container {
  display: flex;
  padding: 12px 0;
  border-bottom: 1px solid #DDDCDC;
  background: white;
  border-top: 1px solid #DDDCDC; }

.schedule-unit__toggle {
  flex-basis: 48px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  cursor: pointer; }

.schedule-unit__toggle-icon {
  width: 24px;
  height: 24px;
  transform: rotate(180deg); }
  .unit.active .schedule-unit__toggle-icon {
    transform: rotate(0deg); }

.schedule-unit__activity {
  flex-basis: 200px;
  padding: 0 12px;
  flex-grow: 1; }

.schedule-unit__label {
  font-size: 10px;
  line-height: 20px;
  font-weight: 600;
  color: #8D8D8D; }

.schedule-unit__value {
  font-size: 18px;
  line-height: 20px;
  color: #353535; }

.schedule-unit__successors {
  flex-basis: 48px; }

.schedule-unit__start {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  flex-basis: 120px; }

.schedule-unit__end {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  padding: 0 12px;
  flex-basis: 120px; }

.schedule-unit__duration {
  padding: 0 12px;
  flex-basis: 96px;
  display: flex;
  justify-content: flex-end;
  flex-direction: column; }

.schedule-unit__actions {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  padding: 0 12px;
  flex-basis: 96px; }

.schedule-unit__actions-icon {
  width: 24px;
  height: 24px; }

.schedule-activity {
  margin: 0; }

.activity {
  max-height: 0;
  overflow: hidden; }
  .unit.active .activity {
    max-height: none; }

.activity-header {
  display: flex;
  padding: 12px 0;
  border-bottom: 1px solid #DDDCDC; }

.activity-header__toggle {
  flex-basis: 48px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  cursor: pointer; }

button.activity-header__toggle-icon {
  width: 24px;
  height: 24px;
  border: 1px solid #8D8D8D;
  border-radius: 2px;
  font-size: 2em;
  position: relative;
  background: transparent;
  /* Create the "+" shape by positioning the spans absolutely */ }
  button.activity-header__toggle-icon:before {
    content: "";
    display: block;
    top: 25%;
    bottom: 25%;
    width: 10%;
    left: 45%;
    position: absolute;
    transition: 300ms;
    background: #8D8D8D; }
    .activity.active button.activity-header__toggle-icon:before {
      transform: rotate(90deg); }
  button.activity-header__toggle-icon:after {
    content: "";
    display: block;
    left: 25%;
    right: 25%;
    height: 10%;
    top: 45%;
    position: absolute;
    transition: 300ms;
    background: #8D8D8D; }
    .activity.active button.activity-header__toggle-icon:after {
      left: 50%;
      right: 50%; }

.activity-header__title {
  padding: 0 12px;
  font-size: 14px;
  font-weight: 600;
  flex-grow: 1; }

.tasks-view-container {
  display: none;
  gap: 24px; }
  .tasks-view-container.active {
    display: flex; }

.tasks-list-container {
  display: none;
  width: 100%;
  transition: width 1s; }
  .tasks-view-container--detail-view .tasks-list-container {
    width: calc(100% - 450px); }
  .tasks-list-container.active {
    display: block; }

.tasks-list {
  overflow: visible; }
  .status-task-container .tasks-list {
    display: none; }
  .status-task-container.active .tasks-list {
    display: block; }
  .milestone-group-container .tasks-list {
    display: none; }
  .milestone-group-container.active .tasks-list {
    display: block; }

.tasks {
  padding: 0;
  list-style-type: none;
  margin: 0;
  overflow: visible; }

.task {
  display: flex;
  align-items: center;
  font-size: 12px;
  line-height: 20px;
  color: #242424;
  background-color: white;
  border: 1px solid #ECEBEB;
  border-radius: 4px;
  padding: 6px 0;
  margin: 6px 0;
  position: relative; }
  .task:last-of-type {
    margin-bottom: 72px; }
  .task.selected {
    border: 2px solid #0EA5E9; }

.task--chosen {
  opacity: 0.2; }

.task--selected {
  border: 2px solid #0EA5E9; }

.task--dragging {
  background: #0EA5E9;
  color: white; }

.task-selector-label {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 0;
  cursor: pointer; }

.task-select__radio {
  display: none; }

.task-critical-path {
  flex-basis: 48px;
  flex-shrink: 0;
  display: flex;
  height: 100%;
  width: 100%;
  position: relative;
  justify-content: center;
  align-items: center; }

.task-critical-path-icon {
  width: 24px;
  height: 24px; }

.task-handle {
  flex-basis: 48px;
  display: flex;
  height: 100%;
  width: 100%;
  position: relative;
  justify-content: center;
  align-items: center; }

.task-handle:before {
  content: "";
  position: absolute;
  width: 1em;
  height: 0.125em;
  border-top: 0.375em double #000;
  border-bottom: 0.125em solid #000; }

.task-code {
  flex-basis: 48px;
  text-align: center;
  font-weight: 400; }

.task-title {
  flex-basis: 240px;
  flex-grow: 1;
  padding: 0 12px;
  z-index: 1; }

.task-date-range {
  padding: 0 12px;
  flex-basis: 200px;
  display: flex;
  align-items: center;
  z-index: 1; }

.task-date-range-text {
  margin-left: 6px; }

.task-calendar-icon {
  width: 24px;
  height: 24px; }

.task-duration {
  padding: 0 12px;
  flex-basis: 96px;
  display: flex;
  align-items: center;
  z-index: 1; }

.task-input, .task-textarea {
  font-family: "Inter", sans-serif;
  width: 100%;
  font-size: 12px;
  line-height: 20px;
  padding: 4px 6px;
  border-radius: 4px;
  color: #242424; }
  .task-input:hover, .task-textarea:hover {
    background: #ECEBEB; }

.task-title-textarea {
  height: 64px;
  resize: none;
  overflow: hidden; }

.task-milestones {
  flex-basis: 170px; }

.task-milestones.ui.selection.dropdown, .task-groups.ui.selection.dropdown {
  padding: 0;
  min-height: auto;
  border: 0; }
  .task-milestones.ui.selection.dropdown.active .menu, .task-groups.ui.selection.dropdown.active .menu {
    border: 0; }
    .task-milestones.ui.selection.dropdown.active .menu > .item, .task-groups.ui.selection.dropdown.active .menu > .item {
      padding: 8px !important; }

.task-milestone-tag {
  display: inline-block;
  padding: 0px 12px;
  border-radius: 12px;
  font-size: 12px;
  line-height: 20px;
  font-weight: 500; }
  .task-milestone-tag.add {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.add:before {
      display: inline-block;
      content: "\002b";
      margin-right: 4px; }
    .task-milestone-tag.add:after {
      display: inline-block;
      content: 'Add Milestone'; }
  .task-milestone-tag.precon {
    background-color: #D1FAE5;
    color: #065F46; }
    .task-milestone-tag.precon:after {
      display: block;
      content: 'Pre-Con Launch'; }
  .task-milestone-tag.consultants {
    background-color: #FEF3C7;
    color: #92400E; }
    .task-milestone-tag.consultants:after {
      display: block;
      content: 'Consultants'; }
  .task-milestone-tag.architecture {
    background-color: #FEE2E2;
    color: #991B1B; }
    .task-milestone-tag.architecture:after {
      display: block;
      content: 'Architecture'; }
  .task-milestone-tag.estimating {
    background-color: #DBEAFE;
    color: #1E40AF; }
    .task-milestone-tag.estimating:after {
      display: block;
      content: 'Estimating'; }
  .task-milestone-tag.permitting {
    background-color: #EDE9FE;
    color: #5B21B6; }
    .task-milestone-tag.permitting:after {
      display: block;
      content: 'Permitting'; }
  .task-milestone-tag.purchasing {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.purchasing:after {
      display: block;
      content: 'Purchasing'; }
  .task-milestone-tag.project-commencement {
    background-color: #FCE7F3;
    color: #9D174D; }
    .task-milestone-tag.project-commencement:after {
      display: block;
      content: 'Project Commencement'; }
  .task-milestone-tag.foundation {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.foundation:after {
      display: block;
      content: 'Foundation'; }
  .task-milestone-tag.mechanicals {
    background-color: #D1FAE5;
    color: #065F46; }
    .task-milestone-tag.mechanicals:after {
      display: block;
      content: 'Mechanicals'; }
  .task-milestone-tag.interior-finishes {
    background-color: #E0E7FF;
    color: #3730A3; }
    .task-milestone-tag.interior-finishes:after {
      display: block;
      content: 'Interior Finishes'; }
  .task-milestone-tag.site-dev {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.site-dev:after {
      display: block;
      content: 'Site Development'; }
  .task-milestone-tag.framing {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.framing:after {
      display: block;
      content: 'Framing'; }
  .task-milestone-tag.exterior-finishes {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.exterior-finishes:after {
      display: block;
      content: 'Exterior Finishes'; }
  .task-milestone-tag.delivery {
    background-color: #ECEBEB;
    color: #353535; }
    .task-milestone-tag.delivery:after {
      display: block;
      content: 'Delivery'; }

.task-groups {
  flex-basis: 220px; }
  .task-groups.ui.selection.dropdown > .label {
    background: transparent;
    box-shadow: none; }

.task-group-tag {
  display: inline-block;
  padding: 0px 12px;
  border-radius: 12px;
  font-size: 12px;
  line-height: 20px;
  font-weight: 500; }
  .task-group-tag.add {
    background-color: #ECEBEB;
    color: #353535; }
    .task-group-tag.add:before {
      display: inline-block;
      content: "\002b";
      margin-right: 4px; }
    .task-group-tag.add:after {
      display: inline-block;
      content: 'Add a Group'; }
  .task-group-tag.concept-design {
    background-color: #DBEAFE;
    color: #1E40AF; }
    .task-group-tag.concept-design:after {
      display: block;
      content: 'Concept Design'; }
  .task-group-tag.schematic-design {
    background-color: #D1FAE5;
    color: #065F46; }
    .task-group-tag.schematic-design:after {
      display: block;
      content: 'Schematic Design'; }
  .task-group-tag.design-development {
    background-color: #E0E7FF;
    color: #3730A3; }
    .task-group-tag.design-development:after {
      display: block;
      content: 'Design Development'; }
  .task-group-tag.construction-drawings {
    background-color: #EDE9FE;
    color: #5B21B6; }
    .task-group-tag.construction-drawings:after {
      display: block;
      content: 'Construction Drawings'; }
  .task-group-tag.preliminary-estimate {
    background-color: #FCE7F3;
    color: #9D174D; }
    .task-group-tag.preliminary-estimate:after {
      display: block;
      content: 'Preliminary Estimate'; }
  .task-group-tag.final-estimate {
    background-color: #FEE2E2;
    color: #991B1B; }
    .task-group-tag.final-estimate:after {
      display: block;
      content: 'Final Estimate'; }
  .task-group-tag.flooring {
    background-color: #FCE7F3;
    color: #9D174D; }
    .task-group-tag.flooring:after {
      display: block;
      content: 'Flooring'; }
  .task-group-tag.insulation {
    background-color: #DBEAFE;
    color: #1E40AF; }
    .task-group-tag.insulation:after {
      display: block;
      content: 'Install Insulation'; }
  .task-group-tag.rough-plumbing {
    background-color: #FEF3C7;
    color: #92400E; }
    .task-group-tag.rough-plumbing:after {
      display: block;
      content: 'Rough Plumbing'; }
  .task-group-tag.rough-hvac {
    background-color: #FEE2E2;
    color: #991B1B; }
    .task-group-tag.rough-hvac:after {
      display: block;
      content: 'Rough HVAC'; }
  .task-group-tag.construction-documents {
    background-color: #E0E7FF;
    color: #3730A3; }
    .task-group-tag.construction-documents:after {
      display: block;
      content: 'Construction Documents'; }
  .task-group-tag.order-site-essentials {
    background-color: #D1FAE5;
    color: #065F46; }
    .task-group-tag.order-site-essentials:after {
      display: block;
      content: 'Order Site Essentials'; }
  .task-group-tag.order-initial-materials {
    background-color: #FEF3C7;
    color: #92400E; }
    .task-group-tag.order-initial-materials:after {
      display: block;
      content: 'Order Initial Materials'; }

.task-status {
  flex-basis: 96px;
  display: flex; }
  .task-status.ui.selection.dropdown {
    border: 0;
    min-width: 96px;
    font-size: 12px;
    padding-right: 0; }
    .task-status.ui.selection.dropdown .menu > .item {
      font-size: 12px;
      padding-left: 12px !important; }

.task-status__select {
  color: #242424;
  font-family: "Inter", sans-serif;
  padding-right: 6px; }

.task-actions {
  flex-basis: 108px;
  display: flex;
  justify-content: space-around;
  padding: 0 6px;
  z-index: 1; }

.task-comment {
  display: flex;
  cursor: pointer; }

.task-comment-icon {
  width: 24px;
  height: 24px; }

.task-actions__view-detail {
  cursor: pointer; }

.task-owner {
  display: flex; }

.task-owner-icon {
  width: 24px;
  height: 24px; }

.task-delete {
  display: flex;
  cursor: pointer; }

.task-delete-icon {
  width: 24px;
  height: 24px; }

.task-add-container {
  background-color: #F7F5F5;
  padding: 8px;
  border-radius: 4px;
  position: sticky;
  bottom: 0;
  left: 0;
  z-index: 5; }

.task-add {
  display: flex;
  align-items: center; }

.task-add-field {
  padding: 0 8px;
  font-size: 14px;
  width: 800px;
  height: 36px;
  background: white;
  border: 1px solid #ECEBEB;
  border-radius: 4px; }
  .task-add-field::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #242424; }

.task-detail-container {
  width: 0;
  transition: width 1s;
  overflow: hidden; }
  .tasks-view-container--detail-view .task-detail-container {
    width: 450px; }

.task-detail {
  background: #F7F5F5;
  height: 100%;
  border-radius: 8px;
  padding: 24px;
  display: none; }
  .task-detail.task-detail--multi {
    background: #BAE6FD; }
  .task-detail.task-detail--default {
    display: none; }
    .task-detail-container.active .task-detail.task-detail--default {
      display: block; }
  .task-detail.task-detail--none {
    display: block; }
    .task-detail-container.active .task-detail.task-detail--none {
      display: none; }

.task-detail__header {
  display: flex;
  justify-content: space-between; }

.task-detail__title {
  color: #242424;
  font-size: 16px;
  line-height: 24px;
  font-weight: 500;
  max-width: 250px; }

.task-detail__actions {
  flex-basis: 64px;
  flex-shrink: 0;
  justify-content: space-between;
  display: flex;
  align-items: center; }

.task-detail__delete-btn {
  cursor: pointer; }

.task-detail__close-btn {
  cursor: pointer; }

.task-detail__followers {
  padding: 12px 0;
  display: flex; }

.task-detail__followers-list {
  display: flex; }

.task-detail__follower + .task-detail__follower {
  margin-left: -6px; }

.task-detail__follower-img {
  width: 28px; }

.task-detail__followers-actions {
  display: flex;
  align-items: center;
  color: #0369A1;
  font-size: 10px;
  line-height: 14px;
  font-weight: 600;
  margin-left: 12px; }

.task-detail__details {
  padding: 12px 0; }

.task-detail__details-title {
  font-size: 14px;
  line-height: 20px;
  color: #242424;
  font-weight: 500; }

.task-detail__details-table-row {
  padding: 6px 0;
  display: flex; }

.task-detail__details-table-title {
  font-size: 12px;
  line-height: 16px;
  color: #242424;
  flex-basis: 100px; }

.task-detail__details-table-val {
  font-size: 12px;
  line-height: 16px;
  font-weight: 500;
  color: #242424; }

.task-detail__dependencies {
  padding: 12px 0; }

.task-detail__dependencies-title {
  font-size: 14px;
  line-height: 20px;
  color: #242424;
  font-weight: 500; }

.task-detail__dependencies-section {
  padding: 12px 0; }

.task-detail__dependencies-section-header {
  display: flex;
  justify-content: space-between; }

.task-detail__dependencies-section-title {
  font-size: 12px;
  line-height: 16px;
  color: #242424;
  font-weight: 600;
  padding: 6px 0; }

.task-detail__dependencies-section-add {
  display: flex;
  align-items: center; }

.task-detail__dependencies-section-add-btn {
  font-size: 12px;
  line-height: 16px;
  color: #0369A1; }

.task-detail__dependencies-task {
  display: flex;
  justify-content: space-between;
  background: white;
  padding: 12px 12px;
  border-radius: 8px;
  margin: 6px 0; }

.task-detail__dependencies-task-info {
  display: flex;
  align-items: center;
  padding: 6px; }

.task-detail__dependencies-task-critical-path {
  flex-basis: 36px;
  flex-shrink: 0; }

.task-detail__dependencies-task-code {
  flex-basis: 36px;
  color: #646464;
  flex-shrink: 0; }

.task-detail__dependencies-task-title {
  font-size: 12px;
  padding-right: 12px; }

.task-detail__dependencies-task-actions {
  flex-basis: 48px;
  flex-shrink: 0;
  display: flex;
  align-items: center; }

.task-detail__dependencies-task-remove {
  font-size: 12px;
  line-height: 16px;
  color: #0369A1; }

.task-detail__dependencies-task-dependency-code {
  flex-basis: 48px;
  font-size: 12px;
  line-height: 16px; }

.task-detail__comments {
  padding: 12px 0; }

.task-detail__comments-title {
  font-size: 14px;
  line-height: 20px;
  color: #242424;
  font-weight: 500; }

.task-detail__add-comment {
  display: flex;
  padding: 12px 0;
  gap: 12px; }

.task-detail__add-comment-user-image {
  width: 32px; }

.task-detail__add-comment-field {
  flex-grow: 1;
  border: 1px solid #DDDCDC;
  padding: 12px;
  border-radius: 4px;
  height: 96px;
  resize: none;
  font-size: 14px;
  line-height: 20px; }

.task-detail__comment {
  display: flex;
  gap: 24px;
  color: #242424; }

.task-detail__comment-source-avatar {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  background-color: #028FC7;
  color: white;
  border-radius: 50%;
  font-size: 14px; }

.task-detail__comment-info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 12px;
  line-height: 16px;
  height: 32px; }

.task-detail__comment-username {
  font-weight: 600; }

.icon-class {
  width: 24px;
  height: 24px; }
